<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageListResponse StructType
 * @subpackage Structs
 */
class PackageListResponse extends AbstractStructBase
{
    /**
     * The PackageListRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $PackageListRS;
    /**
     * Constructor method for PackageListResponse
     * @uses PackageListResponse::setPackageListRS()
     * @param \StructType\JP_StaticDataRS $packageListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $packageListRS = null)
    {
        $this
            ->setPackageListRS($packageListRS);
    }
    /**
     * Get PackageListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getPackageListRS()
    {
        return $this->PackageListRS;
    }
    /**
     * Set PackageListRS value
     * @param \StructType\JP_StaticDataRS $packageListRS
     * @return \StructType\PackageListResponse
     */
    public function setPackageListRS(\StructType\JP_StaticDataRS $packageListRS = null)
    {
        $this->PackageListRS = $packageListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
